Skip to main content
GET
/
experiments
/
{experiment_id}
/
groups
List experiment groups
curl --request GET \
  --url https://api.qonversion.io/v4/experiments/{experiment_id}/groups \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "<string>",
  "data": [
    {
      "object": "experiment_group",
      "id": "<string>",
      "url": "<string>",
      "name": "<string>",
      "is_control": true,
      "weight": 123,
      "remote_config_uid": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": false
}

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Path Parameters

experiment_id
string
required

Experiment identifier.

Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$

Response

A list of experiment groups.

object
enum<string>
required
Available options:
list
url
string
required
data
object[]
required
has_more
boolean
required
Example:

false